> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/nem-xem/xem_node_info.md).

# /node/info - NEM

Example code for the /node/info rest method. Сomplete guide on how to use /node/info rest in GetBlock.io Web3 documentation.

#### Parameters

\-

#### Request

```java
curl --location --request GET 'https://shared.eu-central-1.getblock.io/YOUR-ACCESS-TOKEN/node/info' \
--header 'Content-Type: application/json'
```

#### Response

```java
{
    "endpoint": {
        "host": "31.172.74.35",
        "port": 7890,
        "protocol": "http"
    },
    "identity": {
        "name": "NDX7DFK43JV6HT2ZCKF5D37JBZJJA6KMFURXDVKL",
        "public-key": "de23c19f3d8f55cb3d97ee5fc6c8131e0d348bfc5ee1e31d775bdc0a873eeb2e"
    },
    "metaData": {
        "application": null,
        "features": 1,
        "networkId": 104,
        "platform": "Private Build (1.8.0_292) on Linux",
        "version": "0.6.100"
    }
}
```
